idiff(1)

NAME
idiff -- compare two images

SYNOPSIS
Usage: idiff [options] image1 image2

DESCRIPTION
This program is part of the OpenImageIO (http://www.openimageio.org) tool suite. Detailed documentation is available in pdf format with the OpenImageIO distribution.

OPTIONS

--help
    Print help message

-v  Verbose status messages

-q  Quiet (minimal messages)

-a  Compare all subimages/miplevels

Thresholding and comparison options

    -fail VAL
        Failure threshold difference (default: 1e-06)

    -failpercent PERCENT
        Allow this percentage of failures (default: 0)

    -hardfail VAL
        Fail if any one pixel exceeds this error (default: inf)

    -warn VAL
        Warning threshold difference (default: 1e-06)

    -warnpercent PERCENT
        Allow this percentage of warnings (default: 0)

    -hardwarn VAL
        Warn if any one pixel exceeds this error (default: inf)

    -p  Perform perceptual (rather than numeric) comparison

Difference image options

    -o FILENAME
        Output difference image

    -od Output image only if nonzero difference

    -abs
        Output image of absolute value, not signed difference

    -scale FACTOR
        Scale the output image by this factor (default: 1)